> ## Documentation Index
> Fetch the complete documentation index at: https://developer.supernotes.app/llms.txt
> Use this file to discover all available pages before exploring further.

#  Get Selected Cards

> The "base query" for retrieving cards (memberships) – supports selecting, filtering, and
ordering by any implemented metric

NOTE: This is a "POST-GET" endpoint – the method is POST (for the payload) but it GETs data



## OpenAPI

````yaml post /v1/cards/get/select
openapi: 3.1.0
info:
  title: supernotes
  description: The Supernotes API – a modern and fast API for quick card creation
  version: 3.2.1
servers: []
security: []
paths:
  /v1/cards/get/select:
    post:
      tags:
        - cards
      summary: ' Get Selected Cards'
      description: >-
        The "base query" for retrieving cards (memberships) – supports
        selecting, filtering, and

        ordering by any implemented metric


        NOTE: This is a "POST-GET" endpoint – the method is POST (for the
        payload) but it GETs data
      operationId: _get_selected_cards_v1_cards_get_select_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ExtendedSelectCriteria'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  '[card_id]':
                    $ref: '#/components/schemas/TransformedCardResponse'
                propertyNames:
                  format: uuid
                type: object
                title: Response  Get Selected Cards V1 Cards Get Select Post
        4XX:
          description: Unified Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnifiedError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    ExtendedSelectCriteria:
      properties:
        include_membership_statuses:
          anyOf:
            - items:
                $ref: '#/components/schemas/Status'
              type: array
            - type: 'null'
          title: Include Membership Statuses
        parent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Parent Id
        search:
          anyOf:
            - type: string
            - type: 'null'
          title: Search
        filter_group:
          anyOf:
            - $ref: '#/components/schemas/FilterGroup-Input'
            - type: 'null'
        include:
          anyOf:
            - items:
                type: string
                format: uuid
              type: array
            - type: 'null'
          title: Include
        exclude:
          anyOf:
            - items:
                type: string
                format: uuid
              type: array
            - type: 'null'
          title: Exclude
        changed_since:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Changed Since
        targeted_or_created_when:
          anyOf:
            - $ref: '#/components/schemas/DatetimeRangeSchema'
            - type: 'null'
        created_when:
          anyOf:
            - $ref: '#/components/schemas/DatetimeRangeSchema'
            - type: 'null'
        modified_when:
          anyOf:
            - $ref: '#/components/schemas/DatetimeRangeSchema'
            - type: 'null'
        sort_type:
          anyOf:
            - $ref: '#/components/schemas/SortType'
            - type: 'null'
        sort_ascending:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Sort Ascending
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
      type: object
      title: ExtendedSelectCriteria
    TransformedCardResponse:
      properties:
        data:
          $ref: '#/components/schemas/ExtendedCardDataResponse'
        membership:
          $ref: '#/components/schemas/ExtendedCardMembershipResponse'
        backlinks:
          items:
            type: string
          type: array
          title: Backlinks
        parents:
          properties:
            '[card_id]':
              $ref: '#/components/schemas/ExtendedCardParentResponse'
          propertyNames:
            format: uuid
          type: object
          title: Parents
      type: object
      required:
        - data
        - membership
        - backlinks
        - parents
      title: TransformedCardResponse
    UnifiedError:
      discriminator:
        mapping:
          auth: '#/components/schemas/AuthError'
          basic: '#/components/schemas/BasicError'
          card: '#/components/schemas/CardError'
          numeric: '#/components/schemas/NumericError'
          permission: '#/components/schemas/PermError'
          recaptcha: '#/components/schemas/RecaptchaError'
          turnstile: '#/components/schemas/TurnstileError'
          validation: '#/components/schemas/ValidationError'
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/AuthError'
        - $ref: '#/components/schemas/BasicError'
        - $ref: '#/components/schemas/CardError'
        - $ref: '#/components/schemas/PermError'
        - $ref: '#/components/schemas/RecaptchaError'
        - $ref: '#/components/schemas/TurnstileError'
        - $ref: '#/components/schemas/ValidationError'
        - $ref: '#/components/schemas/NumericError'
    Status:
      enum:
        - -2
        - -1
        - 0
        - 1
        - 2
      title: Status
      type: integer
    FilterGroup-Input:
      properties:
        type:
          type: string
          const: group
          title: Type
        op:
          $ref: '#/components/schemas/FilterGroupOperator'
        filters:
          items:
            oneOf:
              - $ref: '#/components/schemas/FilterGroup-Input'
              - oneOf:
                  - $ref: '#/components/schemas/CardIdFilterScalar'
                  - $ref: '#/components/schemas/CardIdFilterVector'
                discriminator:
                  propertyName: op
                  mapping:
                    equals: '#/components/schemas/CardIdFilterScalar'
                    within: '#/components/schemas/CardIdFilterVector'
              - $ref: '#/components/schemas/NameFilter'
              - $ref: '#/components/schemas/MarkupFilter'
              - $ref: '#/components/schemas/ContentFilter'
              - $ref: '#/components/schemas/AuthorFilter'
              - $ref: '#/components/schemas/MemberCountFilter'
              - $ref: '#/components/schemas/TagFilter'
              - $ref: '#/components/schemas/TagCountFilter'
              - $ref: '#/components/schemas/ChildCountFilter'
              - $ref: '#/components/schemas/ParentCountFilter'
              - $ref: '#/components/schemas/CommentCountFilter'
              - $ref: '#/components/schemas/ShareLinkCountFilter'
              - $ref: '#/components/schemas/BacklinkCountFilter'
              - $ref: '#/components/schemas/LikedFilter'
              - oneOf:
                  - $ref: '#/components/schemas/StatusFilterScalar'
                  - $ref: '#/components/schemas/StatusFilterVector'
                discriminator:
                  propertyName: op
                  mapping:
                    equals: '#/components/schemas/StatusFilterScalar'
                    within: '#/components/schemas/StatusFilterVector'
              - oneOf:
                  - $ref: '#/components/schemas/ColorFilterScalar'
                  - $ref: '#/components/schemas/ColorFilterVector'
                discriminator:
                  propertyName: op
                  mapping:
                    equals: '#/components/schemas/ColorFilterScalar'
                    within: '#/components/schemas/ColorFilterVector'
              - $ref: '#/components/schemas/VisibilityFilter'
              - $ref: '#/components/schemas/PermsFilter'
              - $ref: '#/components/schemas/ParentIdsFilter'
              - $ref: '#/components/schemas/ArchivedParentIdsFilter'
              - $ref: '#/components/schemas/PublishedParentIdsFilter'
              - $ref: '#/components/schemas/BacklinkIdsFilter'
              - $ref: '#/components/schemas/DailyFilter'
              - $ref: '#/components/schemas/LocationFilter'
              - oneOf:
                  - $ref: '#/components/schemas/IconFilterScalar'
                  - $ref: '#/components/schemas/IconFilterVector'
                discriminator:
                  propertyName: op
                  mapping:
                    equals: '#/components/schemas/IconFilterScalar'
                    within: '#/components/schemas/IconFilterVector'
          type: array
          title: Filters
      type: object
      required:
        - type
        - op
        - filters
      title: FilterGroup
    DatetimeRangeSchema:
      properties:
        from_when:
          type: string
          format: date-time
          title: From When
        to_when:
          type: string
          format: date-time
          title: To When
      type: object
      title: DatetimeRangeSchema
    SortType:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
      title: SortType
      type: integer
    ExtendedCardDataResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        owner_id:
          type: string
          format: uuid
          title: Owner Id
        name:
          type: string
          title: Name
        markup:
          type: string
          title: Markup
        html:
          type: string
          title: Html
        ydoc:
          type: string
          title: Ydoc
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
        tags:
          items:
            type: string
          type: array
          title: Tags
        color:
          anyOf:
            - $ref: '#/components/schemas/CoreColor'
            - type: 'null'
        created_when:
          type: string
          format: date-time
          title: Created When
        modified_when:
          type: string
          format: date-time
          title: Modified When
        modified_by_id:
          type: string
          format: uuid
          title: Modified By Id
        synced_when:
          type: string
          format: date-time
          title: Synced When
        targeted_when:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Targeted When
        meta:
          additionalProperties:
            anyOf:
              - type: string
              - type: integer
              - type: number
              - type: boolean
          type: object
          title: Meta
        daily_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Daily Date
        h3_index:
          anyOf:
            - type: string
            - type: 'null'
          title: H3 Index
        link_cache:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Link Cache
        comment_count:
          type: integer
          title: Comment Count
        likes:
          type: integer
          title: Likes
        member_count:
          type: integer
          title: Member Count
        public_child_count:
          type: integer
          title: Public Child Count
      type: object
      required:
        - id
        - owner_id
        - name
        - markup
        - html
        - ydoc
        - icon
        - tags
        - color
        - created_when
        - modified_when
        - modified_by_id
        - synced_when
        - targeted_when
        - meta
        - daily_date
        - h3_index
        - link_cache
        - comment_count
        - likes
        - member_count
        - public_child_count
      title: ExtendedCardDataResponse
    ExtendedCardMembershipResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        liked:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Liked
        personal_tags:
          items:
            type: string
          type: array
          title: Personal Tags
        personal_color:
          anyOf:
            - $ref: '#/components/schemas/CoreColor'
            - type: 'null'
        perms:
          $ref: '#/components/schemas/Role'
        via_type:
          $ref: '#/components/schemas/MembershipCreatedVia'
        via_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Via Id
        created_when:
          type: string
          format: date-time
          title: Created When
        modified_when:
          type: string
          format: date-time
          title: Modified When
        enrolled_when:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Enrolled When
        opened_when:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Opened When
        auto_publish_children:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Auto Publish Children
        view:
          anyOf:
            - $ref: '#/components/schemas/StoredViewData'
            - type: 'null'
        flash_memory:
          anyOf:
            - $ref: '#/components/schemas/FlashMemory'
            - type: 'null'
        visibility:
          $ref: '#/components/schemas/Visibility'
        status:
          $ref: '#/components/schemas/Status'
        total_child_count:
          type: integer
          title: Total Child Count
        share_link_count:
          type: integer
          title: Share Link Count
      type: object
      required:
        - id
        - liked
        - personal_tags
        - personal_color
        - perms
        - via_type
        - via_id
        - created_when
        - modified_when
        - enrolled_when
        - opened_when
        - auto_publish_children
        - view
        - flash_memory
        - visibility
        - status
        - total_child_count
        - share_link_count
      title: ExtendedCardMembershipResponse
    ExtendedCardParentResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        owner_id:
          type: string
          format: uuid
          title: Owner Id
        parent_id:
          type: string
          format: uuid
          title: Parent Id
        child_id:
          type: string
          format: uuid
          title: Child Id
        created_when:
          type: string
          format: date-time
          title: Created When
        publishing_perms:
          anyOf:
            - $ref: '#/components/schemas/Role'
            - type: 'null'
        archived:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Archived
        parent_membership_status:
          $ref: '#/components/schemas/Status'
      type: object
      required:
        - id
        - owner_id
        - parent_id
        - child_id
        - created_when
        - publishing_perms
        - archived
        - parent_membership_status
      title: ExtendedCardParentResponse
    AuthError:
      properties:
        type:
          const: auth
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          enum:
            - APIKey
            - Bearer
            - Fresh
            - Refresh
          title: Meta
          type: string
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: AuthError
      type: object
    BasicError:
      properties:
        type:
          const: basic
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          title: Meta
          type: 'null'
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: BasicError
      type: object
    CardError:
      properties:
        type:
          const: card
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          format: uuid
          title: Meta
          type: string
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: CardError
      type: object
    PermError:
      properties:
        type:
          const: permission
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          $ref: '#/components/schemas/PermErrorMeta'
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: PermError
      type: object
    RecaptchaError:
      properties:
        type:
          const: recaptcha
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          title: Meta
          type: boolean
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: RecaptchaError
      type: object
    TurnstileError:
      properties:
        type:
          const: turnstile
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          items:
            type: string
          title: Meta
          type: array
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: TurnstileError
      type: object
    ValidationError:
      properties:
        type:
          const: validation
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          additionalProperties:
            type: string
          title: Meta
          type: object
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: ValidationError
      type: object
    NumericError:
      properties:
        type:
          const: numeric
          title: Type
          type: string
        detail:
          title: Detail
          type: string
        meta:
          anyOf:
            - type: number
            - type: integer
          title: Meta
        status:
          title: Status
          type: integer
      required:
        - type
        - detail
        - meta
        - status
      title: NumericError
      type: object
    FilterGroupOperator:
      type: string
      enum:
        - and
        - or
      title: FilterGroupOperator
    CardIdFilterScalar:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: card_id
          title: Type
        op:
          type: string
          const: equals
          title: Op
        arg:
          type: string
          format: uuid
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: CardIdFilterScalar
    CardIdFilterVector:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: card_id
          title: Type
        op:
          type: string
          const: within
          title: Op
        arg:
          items:
            type: string
            format: uuid
          type: array
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: CardIdFilterVector
    NameFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: name
          title: Type
        op:
          type: string
          enum:
            - equals
            - contains
            - within
            - regex
          title: Op
        arg:
          type: string
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: NameFilter
    MarkupFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: markup
          title: Type
        op:
          type: string
          enum:
            - equals
            - contains
            - within
            - regex
          title: Op
        arg:
          type: string
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: MarkupFilter
    ContentFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: content
          title: Type
        op:
          type: string
          enum:
            - equals
            - contains
            - within
            - regex
          title: Op
        arg:
          type: string
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: ContentFilter
    AuthorFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: author
          title: Type
        op:
          type: string
          const: equals
          title: Op
        arg:
          type: string
          format: uuid
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: AuthorFilter
    MemberCountFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: member_count
          title: Type
        op:
          type: string
          enum:
            - equals
            - greater_than
            - greater_than_or_equal
            - less_than
            - less_than_or_equal
          title: Op
        arg:
          anyOf:
            - type: integer
            - type: number
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: MemberCountFilter
    TagFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: tag
          title: Type
        op:
          type: string
          const: contains
          title: Op
        arg:
          type: string
          maxLength: 32
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: TagFilter
    TagCountFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: tag_count
          title: Type
        op:
          type: string
          enum:
            - equals
            - greater_than
            - greater_than_or_equal
            - less_than
            - less_than_or_equal
          title: Op
        arg:
          anyOf:
            - type: integer
            - type: number
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: TagCountFilter
    ChildCountFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: child_count
          title: Type
        op:
          type: string
          enum:
            - equals
            - greater_than
            - greater_than_or_equal
            - less_than
            - less_than_or_equal
          title: Op
        arg:
          anyOf:
            - type: integer
            - type: number
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: ChildCountFilter
    ParentCountFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: parent_count
          title: Type
        op:
          type: string
          enum:
            - equals
            - greater_than
            - greater_than_or_equal
            - less_than
            - less_than_or_equal
          title: Op
        arg:
          anyOf:
            - type: integer
            - type: number
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: ParentCountFilter
    CommentCountFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: comment_count
          title: Type
        op:
          type: string
          enum:
            - equals
            - greater_than
            - greater_than_or_equal
            - less_than
            - less_than_or_equal
          title: Op
        arg:
          anyOf:
            - type: integer
            - type: number
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: CommentCountFilter
    ShareLinkCountFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: share_link_count
          title: Type
        op:
          type: string
          enum:
            - equals
            - greater_than
            - greater_than_or_equal
            - less_than
            - less_than_or_equal
          title: Op
        arg:
          anyOf:
            - type: integer
            - type: number
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: ShareLinkCountFilter
    BacklinkCountFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: backlink_count
          title: Type
        op:
          type: string
          enum:
            - equals
            - greater_than
            - greater_than_or_equal
            - less_than
            - less_than_or_equal
          title: Op
        arg:
          anyOf:
            - type: integer
            - type: number
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: BacklinkCountFilter
    LikedFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: liked
          title: Type
        op:
          type: string
          const: equals
          title: Op
        arg:
          type: boolean
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: LikedFilter
    StatusFilterScalar:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: status
          title: Type
        op:
          type: string
          const: equals
          title: Op
        arg:
          $ref: '#/components/schemas/Status'
      type: object
      required:
        - type
        - op
        - arg
      title: StatusFilterScalar
    StatusFilterVector:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: status
          title: Type
        op:
          type: string
          const: within
          title: Op
        arg:
          items:
            $ref: '#/components/schemas/Status'
          type: array
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: StatusFilterVector
    ColorFilterScalar:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: color
          title: Type
        op:
          type: string
          const: equals
          title: Op
        arg:
          anyOf:
            - $ref: '#/components/schemas/CoreColor'
            - type: 'null'
      type: object
      required:
        - type
        - op
      title: ColorFilterScalar
    ColorFilterVector:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: color
          title: Type
        op:
          type: string
          const: within
          title: Op
        arg:
          items:
            $ref: '#/components/schemas/CoreColor'
          type: array
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: ColorFilterVector
    VisibilityFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: visibility
          title: Type
        op:
          type: string
          const: equals
          title: Op
        arg:
          $ref: '#/components/schemas/Visibility'
      type: object
      required:
        - type
        - op
        - arg
      title: VisibilityFilter
    PermsFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: perms
          title: Type
        op:
          type: string
          const: can
          title: Op
        arg:
          $ref: '#/components/schemas/Perm'
      type: object
      required:
        - type
        - op
        - arg
      title: PermsFilter
    ParentIdsFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: parent_ids
          title: Type
        op:
          type: string
          const: contains
          title: Op
        arg:
          type: string
          format: uuid
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: ParentIdsFilter
    ArchivedParentIdsFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: archived_parent_ids
          title: Type
        op:
          type: string
          const: contains
          title: Op
        arg:
          type: string
          format: uuid
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: ArchivedParentIdsFilter
    PublishedParentIdsFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: published_parent_ids
          title: Type
        op:
          type: string
          const: contains
          title: Op
        arg:
          type: string
          format: uuid
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: PublishedParentIdsFilter
    BacklinkIdsFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: backlink_ids
          title: Type
        op:
          type: string
          const: contains
          title: Op
        arg:
          type: string
          format: uuid
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: BacklinkIdsFilter
    DailyFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: daily
          title: Type
        op:
          type: string
          enum:
            - equals
            - greater_than
            - greater_than_or_equal
            - less_than
            - less_than_or_equal
          title: Op
        arg:
          anyOf:
            - type: string
            - type: 'null'
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: DailyFilter
    LocationFilter:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: location
          title: Type
        op:
          type: string
          const: equals
          title: Op
        arg:
          anyOf:
            - type: string
            - type: 'null'
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: LocationFilter
    IconFilterScalar:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: icon
          title: Type
        op:
          type: string
          const: equals
          title: Op
        arg:
          anyOf:
            - type: string
              maxLength: 64
            - type: 'null'
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: IconFilterScalar
    IconFilterVector:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        inv:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Inv
        case_sensitive:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Case Sensitive
        type:
          type: string
          const: icon
          title: Type
        op:
          type: string
          const: within
          title: Op
        arg:
          items:
            type: string
            maxLength: 64
          type: array
          title: Arg
      type: object
      required:
        - type
        - op
        - arg
      title: IconFilterVector
    CoreColor:
      enum:
        - blue
        - green
        - orange
        - pink
        - purple
        - red
        - yellow
      title: CoreColor
      type: string
    Role:
      enum:
        - -1
        - 0
        - 1318
        - 1382
        - 1398
        - 4094
        - 8190
      title: Role
      type: integer
    MembershipCreatedVia:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
      title: MembershipCreatedVia
    StoredViewData:
      properties:
        display_type:
          $ref: '#/components/schemas/ViewLayout'
        sort_type:
          $ref: '#/components/schemas/SortType'
        sort_ascending:
          title: Sort Ascending
          type: boolean
        broadsheet_cols:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Broadsheet Cols
        broadsheet_full_width:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: Broadsheet Full Width
        attempt_card_match:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          title: Attempt Card Match
        card_sizing:
          anyOf:
            - $ref: '#/components/schemas/CardSizing'
            - type: 'null'
          default: null
        map_position:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Map Position
      required:
        - display_type
        - sort_type
        - sort_ascending
      title: StoredViewData
      type: object
    FlashMemory:
      properties:
        due:
          title: Due
          type: integer
        stability:
          title: Stability
          type: number
        difficulty:
          title: Difficulty
          type: number
        elapsed_days:
          title: Elapsed Days
          type: integer
        scheduled_days:
          title: Scheduled Days
          type: integer
        reps:
          title: Reps
          type: integer
        lapses:
          title: Lapses
          type: integer
        state:
          $ref: '#/components/schemas/MemoryReviewState'
        last_review:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Last Review
      required:
        - due
        - stability
        - difficulty
        - elapsed_days
        - scheduled_days
        - reps
        - lapses
        - state
      title: FlashMemory
      type: object
    Visibility:
      enum:
        - -1
        - 0
        - 1
      title: Visibility
      type: integer
    PermErrorMeta:
      properties:
        perm_name:
          title: Perm Name
          type: string
        perm_value:
          title: Perm Value
          type: integer
      required:
        - perm_name
        - perm_value
      title: PermErrorMeta
      type: object
    Perm:
      type: integer
      enum:
        - 2
        - 4
        - 8
        - 16
        - 32
        - 64
        - 128
        - 256
        - 512
        - 1024
        - 2048
        - 4096
      title: Perm
    ViewLayout:
      enum:
        - 1
        - 2
        - 4
        - 5
        - 6
      title: ViewLayout
      type: integer
    CardSizing:
      enum:
        - 1
        - 2
        - 3
      title: CardSizing
      type: integer
    MemoryReviewState:
      enum:
        - 0
        - 1
        - 2
        - 3
      title: MemoryReviewState
      type: integer
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Api-Key

````